curl --request GET \
--url https://api.example.com/runs/{id}/files \
--header 'Authorization: Bearer <token>'{
"data": [
{
"old_file": {
"name": "src/commands/run.ts",
"contents": "import { parseArgs } from \"node:util\";"
},
"new_file": {
"name": "src/commands/run.ts",
"contents": "import { parseArgs } from \"node:util\";"
}
}
],
"meta": {
"has_more": true
}
}Returns a paginated list of file-level diffs produced by the run, optionally filtered to a specific checkpoint.
curl --request GET \
--url https://api.example.com/runs/{id}/files \
--header 'Authorization: Bearer <token>'{
"data": [
{
"old_file": {
"name": "src/commands/run.ts",
"contents": "import { parseArgs } from \"node:util\";"
},
"new_file": {
"name": "src/commands/run.ts",
"contents": "import { parseArgs } from \"node:util\";"
}
}
],
"meta": {
"has_more": true
}
}JWT bearer token issued by fabro-web. See the Authentication guide for details.
Unique run identifier (ULID).
Filter to a specific checkpoint ID. Omit to include all changes.
Maximum number of items to return per page.
1 <= x <= 100Number of items to skip before returning results.
x >= 0